geos::geomgraph::GraphComponent Class Referenceabstract

A GraphComponent is the parent class for the objects' that form a graph. More...

`#include <GraphComponent.h>`

Inheritance diagram for geos::geomgraph::GraphComponent:

## Public Member Functions

| GraphComponent (const Label &newLabel)
Label & | getLabel ()
const Label & | getLabel () const
void | setLabel (const Label &newLabel)
void | setInResult (bool p_isInResult)
bool | isInResult () const
void | setCovered (bool isCovered)
bool | isCovered () const
bool | isCoveredSet () const
bool | isVisited () const
void | setVisited (bool p_isVisited)
virtual bool | isIsolated () const =0
void | updateIM (geom::IntersectionMatrix &im)

## Protected Member Functions

virtual void | computeIM (geom::IntersectionMatrix &im)=0

## Protected Attributes

Label | label

## Detailed Description

A GraphComponent is the parent class for the objects' that form a graph.

Each GraphComponent can carry a Label.

## Member Function Documentation

## computeIM()

virtual void geos::geomgraph::GraphComponent::computeIM | ( | geom::IntersectionMatrix & | im | ) |

protected pure virtual

Implemented in geos::geomgraph::Edge, geos::geomgraph::Node, and geos::operation::relate::RelateNode.

The documentation for this class was generated from the following file:

- geomgraph/GraphComponent.h